(defun c:polyseg ()

    (setvar "cmdecho" 0)
	(setq poly (car (entsel "\nPolylinie whlen")) z 0)
	(setq anzahl (getint "\nAnzahl der Segmente:  "))
	(setq lay (cdr (assoc 8 (entget poly))))
	(entmod (subst (cons 8 "muell")(assoc 8 (entget poly))(entget poly)))
	(command "_explode" poly)
	(setq #elemente (ssget "x" '((8 . "muell")(0 . "arc"))))
	(repeat (sslength #elemente)
		(setq bogen (ssname #elemente z))
		(setq anfang (segment bogen anzahl))
		(entdel bogen)
		(setq z (1+ z))
	);end repeat
	(setq #polyfragmente (ssget "x" '((8 . "muell"))))
   	(command "_.pedit" anfang "_j" #polyfragmente "" "_x")
	(entmod (subst (cons 8 lay)(assoc 8 (entget(entlast))) (entget(entlast))))
	(command "_purge" "la" "muell" "n")
	(setvar "cmdecho" 1)
	(princ) 
);END POLYKLEIN



(defun segment (bogen anzahl)

    (setq bogen (entget bogen) n 0 liste nil)
	(setq basis (cdr(assoc 10 bogen)))
	(setq radius (cdr(assoc 40 bogen)))
	(setq layer (cdr(assoc 8 bogen)))
	(setq winkelanfang (cdr(assoc 50 bogen)))
	(if (> winkelanfang (cdr(assoc 51 bogen)))
		(setq winkelende (+ pi pi (cdr(assoc 51 bogen))))
		(setq winkelende (cdr(assoc 51 bogen)))
	);end if
	(setq winkeldelta (/ (- winkelende winkelanfang) anzahl))
	(repeat (1+ anzahl)
		(if liste
			(setq liste (append (list (cons 10 (polar basis (+ winkelanfang (* n winkeldelta)) radius))
			                          (cons 40 0.0)(cons 41 0.0)(cons 42 0.0)) liste))
			(setq liste (list (cons 10 (polar basis winkelanfang radius))
			                  (cons 40 0.0)(cons 41 0.0)(cons 42 0.0)))
		);end if 
		(setq n (1+ n))
	);end repeat
    (entmake (append (list (cons 0 "LWPOLYLINE")
		                   (cons 100 "AcDbEntity")
		                   (cons 67 0)
		                   (cons 8 layer)
		                   (cons 100 "AcDbPolyline")
		                   (cons 90 (+ 1 anzahl))
                           (cons 70 0))
					 liste)
	);end entmake
	(setq anfang (entlast))
anfang
);end defun


(prompt "\n=== Befehl: POLYSEG ===")(princ)




	
